Package org.drinkless.tdlib

# Class TdApi.ReportStory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ReportStoryResult>
org.drinkless.tdlib.TdApi.ReportStory

Enclosing class:
  `TdApi`

public static class TdApi.ReportStory extends TdApi.Function<TdApi.ReportStoryResult>
Reports a story to the Telegram moderators.

Returns `ReportStoryResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `optionId`
  Option identifier chosen by the user; leave empty for the initial request.
  `int`
  `storyId`
  The identifier of the story to report.
  `long`
  `storyPosterChatId`
  The identifier of the poster of the story to report.
  `String`
  `text`
  Additional report details; 0-1024 characters; leave empty for the initial request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportStory()`
  Default constructor for a function, which reports a story to the Telegram moderators.
  `ReportStory(long storyPosterChatId, int storyId, byte[] optionId, String text)`
  Creates a function, which reports a story to the Telegram moderators.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyPosterChatId

    public long storyPosterChatId
    The identifier of the poster of the story to report.

  - ### storyId

    public int storyId
    The identifier of the story to report.

  - ### optionId

    public byte[] optionId
    Option identifier chosen by the user; leave empty for the initial request.

  - ### text

    public String text
    Additional report details; 0-1024 characters; leave empty for the initial request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportStory

    public ReportStory()
    Default constructor for a function, which reports a story to the Telegram moderators.

    Returns `ReportStoryResult`

  - ### ReportStory

    public ReportStory(long storyPosterChatId, int storyId, byte[] optionId, String text)
    Creates a function, which reports a story to the Telegram moderators.

    Returns `ReportStoryResult`

    Parameters:
      `storyPosterChatId` - The identifier of the poster of the story to report.
      `storyId` - The identifier of the story to report.
      `optionId` - Option identifier chosen by the user; leave empty for the initial request.
      `text` - Additional report details; 0-1024 characters; leave empty for the initial request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ReportStoryResult>`
    Returns:
      this.CONSTRUCTOR